// Require Node modules in the browser thanks to Browserify: http://browserify.org
var bespoke = require('bespoke');
var classes = require('bespoke-classes');
var nav = require('bespoke-nav');
var scale = require('bespoke-scale');
var bullets = require('bespoke-bullets');
var hash = require('bespoke-hash');
var multimedia = require('bespoke-multimedia');
var extern = require('bespoke-extern');
var cube = require('bespoke-theme-cube');
var progress = require('bespoke-progress');
var fullscreen = require('bespoke-fullscreen');
var substeps = require('bespoke-substeps/dom');
var prism = require('bespoke-prism');

// Bespoke.js
bespoke.from({ parent: 'article.deck', slides: 'section' }, [
  substeps(),
  progress(),
  prism(),
  cube(),
  substeps(),
  classes(),
  nav(),
  scale(),
  bullets('.build, .build-items > *:not(.build-items)'),
  hash(),
  multimedia(),
  fullscreen(),
  extern(bespoke),
]);
